import { Confirm } from 'enquirer';
import { InteractiveSubSource } from './InteractiveSubSource';

export class BooleanSubSource extends InteractiveSubSource {
  protected condition ():boolean {
    return this.val.type_validation.option_type === 'boolean';
  }

  protected async run ():Promise<void> {
    await this.val.assign_arg (
      this.opt,
      await new Confirm ({
        message: this.get_message (),
        default: this.opt.default
      })
        .run ()
    );
  }
}
